Name:           gqrx
Version:        2.6
Release:        %mkrel 1
Summary:        Software defined radio receiver powered by GNU Radio and Qt
Group:          Communications/Radio
License:        GPLv3+ and GPLv2+ and BSD
URL:            http://gqrx.dk/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-sdr-src-%{version}.tar.xz

BuildRequires:  boost-devel
BuildRequires:  desktop-file-utils 
BuildRequires:  git
BuildRequires:  gnuradio-pmt-devel
BuildRequires:  pkgconfig(gnuradio-analog)
BuildRequires:  pkgconfig(gnuradio-audio)
BuildRequires:  pkgconfig(gnuradio-blocks)
BuildRequires:  pkgconfig(gnuradio-digital)
BuildRequires:  pkgconfig(gnuradio-fcd)
BuildRequires:  pkgconfig(gnuradio-fcdproplus)
BuildRequires:  pkgconfig(gnuradio-fft)
BuildRequires:  pkgconfig(gnuradio-filter)
BuildRequires:  pkgconfig(gnuradio-iqbalance)
BuildRequires:  pkgconfig(gnuradio-osmosdr)
BuildRequires:  pkgconfig(gnuradio-runtime)
BuildRequires:  pkgconfig(libairspy)
BuildRequires:  pkgconfig(libbladeRF)
BuildRequires:  pkgconfig(libhackrf)
BuildRequires:  pkgconfig(libosmosdr)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(librtlsdr)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
    
%description
Gqrx is a software defined radio receiver powered by the GNU Radio SDR
framework and the Qt graphical toolkit.

%prep
%setup -q -n %{name}-sdr-%{version}

%build
%qmake_qt5 PREFIX=%{_prefix}
%make

%install
%make_install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}%{_iconsdir}
cp resources/icons/gqrx.svg %{buildroot}%{_iconsdir}/gqrx.svg

# desktop-file
desktop-file-install \
    --remove-category='Network' \
    --add-category='AudioVideo' \
    --add-category='Audio' \
    --add-category='X-Mageia-CrossDesktop' \
    --dir=%{buildroot}%{_datadir}/applications \
    %{name}.desktop 

%files
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/gqrx.svg
%doc README.md


%changelog
* Wed Dec 21 2016 barjac <barjac> 2.6-1.mga6
+ Revision: 1076264
- new version 2.6

* Thu Sep 29 2016 barjac <barjac> 2.5.3-9.mga6
+ Revision: 1057514
- rebuild for new airspy

* Sun Sep 11 2016 barjac <barjac> 2.5.3-8.mga6
+ Revision: 1051468
- rebuild for gnuradio-3.7.10.1

* Wed Jul 27 2016 tmb <tmb> 2.5.3-7.mga6
+ Revision: 1043747
- rebuild for new gnuradio

* Thu Apr 14 2016 barjac <barjac> 2.5.3-5.mga6
+ Revision: 1001564
- rebuild for gnuradio

* Tue Mar 22 2016 barjac <barjac> 2.5.3-4.mga6
+ Revision: 994061
- rebuild for arm

* Tue Mar 22 2016 barjac <barjac> 2.5.3-3.mga6
+ Revision: 993872
- rebuild for gr-fcdproplus
- use pkgconfig style BRs where possible
- sort BRs

* Mon Feb 22 2016 barjac <barjac> 2.5.3-2.mga6
+ Revision: 976090
- rebuild for gnuradio

* Thu Feb 04 2016 barjac <barjac> 2.5.3-1.mga6
+ Revision: 935910
- new version 2.5.3

* Thu Feb 04 2016 barjac <barjac> 2.5.2-2.mga6
+ Revision: 935414
- build for arm

* Sat Jan 23 2016 barjac <barjac> 2.5.2-1.mga6
+ Revision: 926727
- new version 2.5.2

* Thu Jan 07 2016 barjac <barjac> 2.5-1.mga6
+ Revision: 920301
- new version 2.5
- fix Source0 as upstream tarball name changed

* Thu Dec 31 2015 barjac <barjac> 2.4-3.mga6
+ Revision: 917220
- rebuild for gnuradio-3.7.9

* Sun Dec 27 2015 barjac <barjac> 2.4-2.mga6
+ Revision: 915906
- rebuild for boost-1.60.0

* Thu Dec 17 2015 barjac <barjac> 2.4-1.mga6
+ Revision: 911206
- new version 2.4
- switch to Qt5
- Add BRs according to README.md
- fix missing icon (upstream bug)
- change upstream desktop file categories

* Sat Sep 26 2015 barjac <barjac> 2.3.2-5.mga6
+ Revision: 883962
- rebuild for boost-1.59

* Wed Sep 23 2015 barjac <barjac> 2.3.2-4.mga6
+ Revision: 882439
- rebuild for updated gnuradio and other SDR stack packages

* Sun Aug 02 2015 daviddavid <daviddavid> 2.3.2-3.mga6
+ Revision: 860547
- rebuild for new boost-1.58.0

* Mon Jan 19 2015 barjac <barjac> 2.3.2-2.mga5
+ Revision: 811418
- Rebuild for updated gr-fcdproplus

* Sun Jan 18 2015 barjac <barjac> 2.3.2-1.mga5
+ Revision: 811218
- Adapt spec for Mageia
- Sync files
- Import gqrx from Fedora with thanks

